#include <glpy.h>

PYBIND11_MODULE(glpy, m) {
    m.doc() = "glpy a python opengl project"; // optional module docstring
    auto tests = m.def_submodule("tests","the tests module");

    tests.def("glfw_black_window",&tests::glfw_black_window,
        py::arg("width"),
        py::arg("height"),
        py::arg("title")
    );
    
    tests.def("glfw_window",&tests::glfw_window,
        py::arg("width"),
        py::arg("height"),
        py::arg("title")
        );
}